@import url('https://fonts.googleapis.com/css?family=Montserrat:100,200,300,400,500,600,700,800,900|Open+Sans+Condensed:300,700|Open+Sans:300,400,600,700,800');

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    background:transparent;
    border:none;
}

body {
    font-family: 'Open Sans Condensed', sans-serif;
}
        #header {
            top: 0px;
            left: 0;
            padding: 20px 30px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 30px 30px;
            position: absolute;
            z-index: 999; /* Para garantir que o menu esteja acima de outros elementos */
            width:100%;
            
        }
        #header .logo img {
            height: 50px; /* Aumentei a altura do logo */
        }

        #header nav {
            flex-grow: 1;
            text-align: center;
        }

        #header nav ul {
            align-items: center;
            list-style: none;
            display: flex; /* Alterado para flex */
            padding: 0;
            margin: 0;
            justify-content: center; /* Adicionado para centralizar os itens do menu */
        }
        #header nav ul li {
            display: inline;
            margin: 0 20px; /* Aumentei a margem entre os itens do menu */
        }

        #header nav ul li a {
            color: white;
            font-size: 16px; /* Aumentei o tamanho da fonte */
            font-weight: 600;
            text-decoration: none;
            letter-spacing: 0.03em;
            text-transform: uppercase;
        }

        #header nav ul li a:hover {
            color: #20B0B0;
        }
        

.nav-list {
    display: flex;
    align-items: center;
}

.nav-list ul li {
    display: flex;
    justify-content: center;
    list-style: none;
}

.nav-item {
    margin: 0 15px;
}

.nav-link {
    color: white;
    font-size: 16px;
    font-weight: 600;
    text-decoration: none;
    letter-spacing: 0.03em;
    text-transform: uppercase;
}

.mobile-menu-icon {
    display: none;
}

.mobile-menu {
    display: none;
}

.mobile-menu ul li a:hover{
    color: #20B0B0;
}
    .nav-item a {
        text-decoration: none;
        position: relative;
        padding: 0px 0px 10px 0;
    }

    .nav-item a::after {
        content: " ";
        width: 0%;
        height: 4px;
        background-color: #20b0b0;
        position: absolute;
        bottom: 0;
        left: 0;
        transition: 0.5s ease-in-out;
    }

    .nav-item a:hover::after {
        width: 100%;
    }
    .nav-item:hover{
        color:#20b0b0;
    }

@media screen and (max-width: 900px) {
    #header nav ul {
        display: none;
    }
    .login-button{
        display:none;
    }
    .nav-item {
        display: none;
    }

    .mobile-menu-icon {
        display: block;
    }

    .mobile-menu {
        display: none;
        flex-direction: column;
        position: absolute;
        top: 100px;
        right: 0;
        width: 100%;
        box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
        padding: 1rem 0;
        text-align: center;
        background-color: black; 
        backdrop-filter: blur(3px); /* Desfoque */
        border-radius: 50px;
    }

    .mobile-menu ul {
        list-style: none;
        padding: 0;
        margin: 0;
    }

    .mobile-menu .nav-item {
        display: block;
        padding: 1rem 0;
    }

    .mobile-menu .nav-link {
        color: white;
        font-size: 16px;
        font-weight: 600;
        text-decoration: none;
        letter-spacing: 0.03em;
        text-transform: uppercase;
    }

    .mobile-menu.open {
        display: flex;
    }

    #header .logo img {
        height: 50px;
    }
    .mobile-menu .login-button {
            display: center;
            padding: 1rem;
    }
    .mobile-menu .login-button button {
            width: 100%;
    }
    
}
